/**************************************************************************************************\
 *** 
 *** Codefile             : tl_userblock.h
 ***
 *** Generation date: 2021-03-08 10:44:59 by TargetLink, the dSPACE production quality code generator
 ***
 *** Copyright (C) 2021 dSPACE GmbH, All rights reserved.
 ***
 *** THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND.
 ***
\**************************************************************************************************/

#ifndef TL_USERBLOCK_H
#define TL_USERBLOCK_H

/*------------------------------------------------------------------------------------------------*\
  DEFINES (OPT)
\*------------------------------------------------------------------------------------------------*/
/*------------------------------------------------------------------------------------------------*\
  INCLUDES
\*------------------------------------------------------------------------------------------------*/

#include "tl_basetypes.h"
#include "udt_a.h"

/*------------------------------------------------------------------------------------------------*\
  ENUMS
\*------------------------------------------------------------------------------------------------*/
/*------------------------------------------------------------------------------------------------*\
  DEFINES
\*------------------------------------------------------------------------------------------------*/

/**************************************************************************************************\
   MACRO: global preprocessor macros
\**************************************************************************************************/
#define eFMU_err_all_signals ((UInt32) 63)

/*------------------------------------------------------------------------------------------------*\
  TYPEDEFS
\*------------------------------------------------------------------------------------------------*/
/*------------------------------------------------------------------------------------------------*\
  VARIABLES
\*------------------------------------------------------------------------------------------------*/

/**************************************************************************************************\
   EFMU_ERROR_STATUS: Variable class | Width: 32
\**************************************************************************************************/
extern UInt32 eFMU_ErrorSignalStatus;

/**************************************************************************************************\
   EFMU_STRUCT_INOUT: Variable class | Width: N.A.
\**************************************************************************************************/
extern EFMU_input_t eFMU_input;
extern EFMU_output_t eFMU_output;

/**************************************************************************************************\
   EFMU_STRUCT_TUNPARAM: Variable class | Width: N.A.
\**************************************************************************************************/
extern EFMU_tunableParameter_t eFMU_tunableParameter;

/*------------------------------------------------------------------------------------------------*\
  PARAMETERIZED MACROS
\*------------------------------------------------------------------------------------------------*/
/*------------------------------------------------------------------------------------------------*\
  FUNCTION PROTOTYPES
\*------------------------------------------------------------------------------------------------*/

/**************************************************************************************************\
   GLOBAL_FCN: global function(s) (exported to other modules)
\**************************************************************************************************/
extern void DoStep(void);
extern void Recalibrate(void);
extern void Startup(void);

#endif /* TL_USERBLOCK_H */
/*------------------------------------------------------------------------------------------------*\
  END OF FILE
\*------------------------------------------------------------------------------------------------*/
